Bug 164682 - [IRQ ROUTING] crash during init_irq
[IRQ ROUTING] crash during init_irq
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
ia32e Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-07-29 20:03 EDT by James Morris
Modified: 2015-01-04 17:21 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-17 15:45:57 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description James Morris 2005-07-29 20:03:29 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.8) Gecko/20050513 Fedora/1.0.4-1.3.1 Firefox/1.0.4

Description of problem:
Kernel crashes on a dual EM64T box during boot:

ide: Assuming 33MHz system bus speed for PIO modes; override with idebus=xx
ide0: I/O resource 0x1F0-0x1F7 not free.
ide0: ports already in use, skipping probe
irq 9: nobody cared (try booting with the "irqpoll" option)

Call Trace: <IRQ> <ffffffff8015be90>{__report_bad_irq+48} <ffffffff8015c0de>{note_interrupt+510}
       <ffffffff8021b941>{acpi_irq+15} <ffffffff8015b9cd>{__do_IRQ+242}
       <ffffffff80110303>{do_IRQ+67} <ffffffff8010df6f>{ret_from_intr+0}
       <ffffffff8013a407>{__do_softirq+91} <ffffffff8013a4b8>{do_softirq+48}
       <ffffffff8010e331>{apic_timer_interrupt+133}  <EOI> <ffffffff8010c4ba>{mwait_idle+90}
       <ffffffff80237c11>{acpi_processor_idle+299} <ffffffff8010c444>{cpu_idle+79}
       <ffffffff805147ca>{start_kernel+480} <ffffffff8051421d>{_sinittext+541}
       
handlers:
[<ffffffff8021b932>] (acpi_irq+0x0/0x1a)
Disabling IRQ #9
hdc: COMBI RW32/DVD, ATAPI CD/DVD-ROM drive
Unable to handle kernel NULL pointer dereference at 0000000000000020 RIP: 
<ffffffff80291b25>{init_irq+429}
PGD 0 
Oops: 0000 [1] SMP 
CPU 0 
Modules linked in:
Pid: 1, comm: swapper Not tainted 2.6.12-1.1441_FC5
RIP: 0010:[<ffffffff80291b25>] <ffffffff80291b25>{init_irq+429}
RSP: 0018:ffff81000227de28  EFLAGS: 00010246
RAX: 0000000000000000 RBX: ffffffff804ef380 RCX: 0000000000000000
RDX: 0000000080042800 RSI: 000000000000006c RDI: ffffffff80446cc0
RBP: ffffffff804e89c0 R08: 0000000000000003 R09: 0000000000000000
R10: ffff81003f8a8000 R11: 0000000000002000 R12: 0000000000000000
R13: 0000000000000001 R14: 0000000000000000 R15: 0000000000000000
FS:  0000000000000000(0000) GS:ffffffff80504800(0000) knlGS:0000000000000000
CS:  0010 DS: 0018 ES: 0018 CR0: 000000008005003b
CR2: 0000000000000020 CR3: 0000000000101000 CR4: 00000000000006e0
Process swapper (pid: 1, threadinfo ffff81000227c000, task ffff81003ff13740)
Stack: ffff810037eab4c0 ffffffff80164153 ffffffff8029201c ffff810037eab4c0 
       0000000000000000 ffffffff804e89e0 ffffffff804e89c0 0000000000000001 
       0000000000000001 0000000000000000 
Call Trace:<ffffffff80164153>{poison_obj+49} <ffffffff8029201c>{hwif_init+293}
       <ffffffff80292044>{hwif_init+333} <ffffffff80292304>{ideprobe_init+171}
       <ffffffff805323d5>{ide_generic_init+9} <ffffffff8010b22b>{init+482}
       <ffffffff8010e683>{child_rip+8} <ffffffff8010b049>{init+0}
       <ffffffff8010e67b>{child_rip+0} 

Code: 48 8b 40 20 48 0f b6 80 98 00 00 00 0f b6 90 80 ad 49 80 be 
RIP <ffffffff80291b25>{init_irq+429} RSP <ffff81000227de28>
CR2: 0000000000000020
 <0>Kernel panic - not syncing: Attempted to kill init!


I can provide a full console log if required.

Version-Release number of selected component (if applicable):
kernel-2.6.12-1.1441_FC5

How reproducible:
Always

Steps to Reproduce:
1. Boot kernel  

Additional info:

This looks like an issue raised upstream here:
http://marc.theaimsgroup.com/?l=linux-kernel&m=112067470632618&w=2

For some reason, I don't see it with a hand-compiled 2.6.13-rc3-mm1.
Comment 1 James Morris 2005-07-30 01:03:02 EDT
Also seems to work ok with upstream 2.6.13-rc4.
Comment 2 Dave Jones 2005-07-30 01:51:31 EDT
puzzling, as 1441 is based on rc4
We're not carrying much in the way of IDE patches these days either. Just a
locking fix in piix driver, and a tweak to the pmac driver.
Comment 4 Alan Cox 2005-09-08 05:51:02 EDT
This appears to be an ACPI bug not an IDE bug.
Comment 5 Dave Jones 2005-10-06 02:03:25 EDT
is this still causing problems ?
Comment 6 James Morris 2006-03-12 22:36:41 EST
Haven't seen this for a long time, might as well close it?

Note You need to log in before you can comment on or make changes to this bug.